你的位置:首页 > 操作系统

[操作系统]Cocoapods配置


这真是蛋疼的东西,配置了几次,每次都不同,每次都折腾半天。这一段时间应该不会变了,记录下来。

一 换源

看了教程都说官方源https://rubygems.org/不能访问,我特意点了一下,发现能访问。于是就没换。但是在使用的时候还是出了问题,所以以后干脆换源。

除掉官方源 gem sources --remove https://rubygems.org/

换上新的源 gem source -a https://gems.ruby-china.org

等有相应以后,输入命令 gem source 查看源

如果显示新源,说明换源成功。

二 安装cocoapods

输入命令 sudo gem install -n /usr/local/bin cocoapods

报错:Ruby版本过低。

1 更新Ruby

但是直接用 sudo gem update --system是不行的。

查资料( http://www.jianshu.com/p/ad98a3364803)知道可以用 RVM安装来解决。

安装 RVM

输入命令 curl -L get.rvm.io | bash -s stable

等到出现 In case of problems: https://rvm.io/helpandhttps://twitter.com/rvm_io

说明安装完成

接着输入 source ~/.bashrc

接着输入 source ~/.bash_profile

输入 rvm -v 测试是否安装成功

提示 rvm 1.27.0 (latest) by Wayne E. Seguin, Michal Papis[https://rvm.io/]

用RVM更新Ruby

查看当前Ruby版本

ruby -v

rvm list known

很多提示。。。

安装Ruby2.2.2

rvm install 2.2.2

完成后,再次输入 ruby -v 查看版本

打印 ruby 2.2.2p95 (2015-04-13 revision 50295) [x86_64-darwin14]

2 继续安装cocoapods

sudo gem install -n /usr/local/bin cocoapods

pod setup

接下来会等待一段时间,屏幕一直没动静,不知道是否在安装

输入 cd ~/.cocoapods 到该目录下

用 du -sh * 查看文件大小

过一会查看一次,过一会查看一次。

会发现文件体积一直在增大,感觉人生充满希望!

直至最后安装完成。其他的不说了,在命令行里用,或者在Xcode里添加路径 /usr/local/bin

编写Podfile文件

platform :ios, "9.0"

target 'ggggg' do

pod 'AFNetworking'

pod 'pop'

end